CC=	gcc 
CFLAGS= -O2 -fomit-frame-pointer -ffast-math -s
#
##############################################################
#
OBJB=	rtty.o audio.o dsp.o dpll.o serial.o baudot.o morsedec.o \
	hdlc.o hdump.o
##############################################################
# Uncomment the three following lines for X11 interface
OBJX=	rtty_f.o rtty_f_cb.o rtty_f_main.o graph.o fft.o 
LIBS=-L/usr/X11R6/lib /usr/lib/libforms.a -lX11 -lpthread
DEFS= -DENX11
#
##############################################################
#

OBJS=	$(OBJB) $(OBJX)

dep:	
	$(CC) -MM -I/usr/include *.c >.dep
	make all

all:	rtty fsk morse


rtty:	$(OBJS)
	$(CC) -o rtty $(OBJS) $(LIBS) -lm

fsk:	fsk.o
	$(CC) -o fsk fsk.o -lm

morse:	morse.o
	$(CC) -o morse morse.o -lm

%.o :	%.c
	$(CC) $(CFLAGS) $(DEFS) $(INCL)  -c $<

clean:	
	rm -f *.o *.bak *~
	cd doc; rm -f *.bak *~
	cd doc/src; rm -f *.bak *~

include	.dep
